<?php
/*
Plugin Name: Simple Events Calendar
Plugin URI: http://www.studiostacks.com/plugins/simple-events-calendar
Description: A simple plugin for adding upcomding events to your wordpress site with micoformats tags. Manage your campaigns from the admin panel and group your events with labels. Easily add your events to any page or post by using a simple shortcode. By default the shortcode will display all 'upcoming' events, but it is also possible to show only 'expired' events or both. By using labels you can decide which events group to display. By default all groups are showed.
Many sites show their events, but it always looks bad when events that took place already are displayed as being upcoming. With this plugin your content will never be outdated.
Version: 0.1.3
Author: Jerry Rietveld
Author URI: http://www.stacks.ie
License: GPL2
*/

/*  Copyright 2011  Studio Stacks  (email : jerry+plugin@studiostacks.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
define('SE_DOMAIN',get_bloginfo('url').'/wp-content/plugins/simple-events-calendar/');
// Make plugin available for translation
if(!load_plugin_textdomain('simple-events','/wp-content/languages/')) load_plugin_textdomain('simple-events',SE_DOMAIN);

// Setting the stylesheet:
if($_REQUEST['page']=='simple-events') {
	add_action( 'admin_init', 'se_admin_head' );
	function se_admin_head() {
		wp_enqueue_style('se-styling', SE_DOMAIN .'se-admin-style.css', false, "1.0", "all");
	}
}
global $SE_db_version;
$SE_db_version = "1.0";

function SE_install () {
   global $wpdb;
   global $SE_db_version;

   $table_name = $wpdb->prefix . "simple_events";
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
      
      $sql = "CREATE TABLE " . $table_name . " (
	  id mediumint(9) NOT NULL AUTO_INCREMENT,
	  event_start INT(10) ZEROFILL NOT NULL,
	  event_end INT(10) ZEROFILL NOT NULL,
	  event_title VARCHAR(80) NOT NULL,
	  event_desc VARCHAR(250) NULL,
	  event_url VARCHAR(80) NULL,
	  event_loc VARCHAR(40) NOT NULL,
	  event_loc_url VARCHAR(250) NULL,
	  event_label VARCHAR(10) NOT NULL,
	  UNIQUE KEY id (id)
	);";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);
 
      add_option("SE_db_version", $SE_db_version);

   } // End check to see if Table exists in the DB, if not, then create it.
   $installed_ver = get_option( "SE_db_version" );

   if( $installed_ver != $SE_db_version ) {

      $sql = "CREATE TABLE " . $table_name . " (
	  id mediumint(9) NOT NULL AUTO_INCREMENT,
	  event_start INT(10) ZEROFILL NOT NULL,
	  event_end INT(10) ZEROFILL NOT NULL,
	  event_title VARCHAR(80) NOT NULL,
	  event_desc VARCHAR(250) NULL,
	  event_url VARCHAR(80) NULL,
	  event_loc VARCHAR(40) NOT NULL,
	  event_loc_url VARCHAR(250) NULL,
	  event_label VARCHAR(10) NOT NULL,
	  UNIQUE KEY id (id)
	);";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);

      update_option( "SE_db_version", $SE_db_version );
  }// end Check DB version and possibly upgrade it
} // end function SE_install
register_activation_hook(__FILE__,'SE_install');

function SE_menu() {
	add_menu_page('Simple Events Calendar', 'Simple Events', 'manage_options', 'simple-events', 'simple_events_options',SE_DOMAIN.'icon.png');
}// End function SE_menu to add a button to the admin dashboard

add_action('admin_menu', 'SE_menu');

function simple_events_options() {
	if (!current_user_can('manage_options'))  {
		wp_die( __('You do not have sufficient permissions to access this page.','simple-events') );
	} // end check authorisation level of the user logged in

if(isset($_POST['store_event'])) {
	if($_POST['event']['event_title']) { // New entries at least have to have a title, if none then nothing is written to DB
		global $wpdb;						
		$table_name = $wpdb->prefix . "simple_events";
		$event = $_POST['event'];
		$event_start = mktime($event['event_start_hr'],$event['event_start_mn'],0,$event['event_start_month'],$event['event_start_day'],$event['event_start_yr']);
		$event_end = mktime($event['event_end_hr'],$event['event_end_mn'],0,$event['event_end_month'],$event['event_end_day'],$event['event_end_yr']);
		$newEvent['event_start'] = $event_start;
		$newEvent['event_end'] = $event_end;
		$newEvent['event_title'] = $event['event_title'];
		$newEvent['event_desc'] = $event['event_desc'];
		$newEvent['event_url'] = str_replace("http://", "", str_replace(" ", "", $event['event_url']));
		$newEvent['event_loc'] = $event['event_loc'];
		$newEvent['event_loc_url'] = str_replace("http://", "", str_replace(" ", "", $event['event_loc_url']));
		$newEvent['event_label'] = strtolower(str_replace(" ", "", $event['event_label']));
		
		$wpdb->insert( $table_name, $newEvent );
		$result = $wpdb->insert_id;
		if(!$result) {
			echo '<div id="message" class="error fade"><p>'.__('Unfortunately something went wrong...','simple-events').'</p></div>';
		} else { echo '<div id="message" class="updated fade"><p>'.__('The event was succesfully added!','simple-events').'</p></div>'; }
		// End check  if entry was written successfully to the DB 
	} else { // So if no title was entered for the event then:
		echo '<div id="message" class="error fade"><p>'.__('C\'mon, at least give me a title!','simple-events').'</p></div>';
	} // End check if title was entered or not and if so, the event was written to the DB
} // END check if event was saved ?>
<div class="wrap">
	<h2 id="plugin-title"><?php _e('Simple Events Calendar','simple-events');?><span> <?php _e(' by <a class="pluginhelp" href="http://www.studiostacks.com/plugins/simple-events-calendar" rel="help">studio stacks</a>','simple-events');?></span></h2>
    <div class="donate">
    
<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="CVSFHBLEA7BEC">
<input type="image" src="https://www.paypalobjects.com/WEBSCR-640-20110306-1/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110306-1/en_US/i/scr/pixel.gif" width="1" height="1">
</form>

    
    </div><!--.donate-->
        <h3><?php _e('Add new event:','simple-events');?></h3>
    <table>
    <tbody>
    <form method="post">
<?php
$year = date('Y');
$month = date('n');
$day = date('j');
$start_timeH = date('G');
if(date('i') > 37) {
	$start_timeM = '45';
} elseif(date('i') > 20) {
	$start_timeM = '30';
} elseif(date('i') > 5) {
	$start_timeM = '15';
} else {
	$start_timeM = '0';
}
$end_year = (date('y',mktime(date('G')+1)));
$end_month = (date('n',mktime(date('G')+1)));
$end_day = (date('j',mktime(date('G')+1)));
$end_timeH = (date('G',mktime(date('G')+1)));
?>
    	<tr>
        <th class="se_entry_start">Start:</th>
        <td>
        <select name="event[event_start_day]">
        	<option <?php if($day == 1) echo 'selected' ;?> value="1">1</option>
        	<option <?php if($day == 2) echo 'selected' ;?> value="2">2</option>
        	<option <?php if($day == 3) echo 'selected' ;?> value="3">3</option>
        	<option <?php if($day == 4) echo 'selected' ;?> value="4">4</option>
        	<option <?php if($day == 5) echo 'selected' ;?> value="5">5</option>
        	<option <?php if($day == 6) echo 'selected' ;?> value="6">6</option>
        	<option <?php if($day == 7) echo 'selected' ;?> value="7">7</option>
        	<option <?php if($day == 8) echo 'selected' ;?> value="8">8</option>
        	<option <?php if($day == 9) echo 'selected' ;?> value="9">9</option>
        	<option <?php if($day == 10) echo 'selected' ;?> value="10">10</option>
        	<option <?php if($day == 11) echo 'selected' ;?> value="11">11</option>
        	<option <?php if($day == 12) echo 'selected' ;?> value="12">12</option>
        	<option <?php if($day == 13) echo 'selected' ;?> value="13">13</option>
        	<option <?php if($day == 14) echo 'selected' ;?> value="14">14</option>
        	<option <?php if($day == 15) echo 'selected' ;?> value="15">15</option>
        	<option <?php if($day == 16) echo 'selected' ;?> value="16">16</option>
        	<option <?php if($day == 17) echo 'selected' ;?> value="17">17</option>
        	<option <?php if($day == 18) echo 'selected' ;?> value="18">18</option>
        	<option <?php if($day == 19) echo 'selected' ;?> value="19">19</option>
        	<option <?php if($day == 20) echo 'selected' ;?> value="20">20</option>
        	<option <?php if($day == 21) echo 'selected' ;?> value="21">21</option>
        	<option <?php if($day == 22) echo 'selected' ;?> value="22">22</option>
        	<option <?php if($day == 23) echo 'selected' ;?> value="23">23</option>
        	<option <?php if($day == 24) echo 'selected' ;?> value="24">24</option>
        	<option <?php if($day == 25) echo 'selected' ;?> value="25">25</option>
        	<option <?php if($day == 26) echo 'selected' ;?> value="26">26</option>
        	<option <?php if($day == 27) echo 'selected' ;?> value="27">27</option>
        	<option <?php if($day == 28) echo 'selected' ;?> value="28">28</option>
        	<option <?php if($day == 29) echo 'selected' ;?> value="29">29</option>
        	<option <?php if($day == 30) echo 'selected' ;?> value="30">30</option>
        	<option <?php if($day == 31) echo 'selected' ;?> value="31">31</option>
        </select>
        <select name="event[event_start_month]">
        	<option <?php if($month == 1) echo "selected" ;?> value="1"><?php _e('January','simple-events');?></option>
        	<option <?php if($month == 2) echo "selected" ;?> value="2"><?php _e('February','simple-events');?></option>
        	<option <?php if($month == 3) echo "selected" ;?> value="3"><?php _e('March','simple-events');?></option>
        	<option <?php if($month == 4) echo "selected" ;?> value="4"><?php _e('April','simple-events');?></option>
        	<option <?php if($month == 5) echo "selected" ;?> value="5"><?php _e('May','simple-events');?></option>
        	<option <?php if($month == 6) echo "selected" ;?> value="6"><?php _e('June','simple-events');?></option>
        	<option <?php if($month == 7) echo "selected" ;?> value="7"><?php _e('July','simple-events');?></option>
        	<option <?php if($month == 8) echo "selected" ;?> value="8"><?php _e('August','simple-events');?></option>
        	<option <?php if($month == 9) echo "selected" ;?> value="9"><?php _e('September','simple-events');?></option>
        	<option <?php if($month == 10) echo "selected" ;?> value="10"><?php _e('October','simple-events');?></option>
        	<option <?php if($month == 11) echo "selected" ;?> value="11"><?php _e('November','simple-events');?></option>
        	<option <?php if($month == 12) echo "selected" ;?> value="12"><?php _e('December','simple-events');?></option>
        </select>
        <select name="event[event_start_yr]">
        	<option <?php if($year == 2011) echo "selected" ;?> value="2011">2011</option>
        	<option <?php if($year == 2012) echo "selected" ;?> value="2012">2012</option>
        	<option <?php if($year == 2013) echo "selected" ;?> value="2013">2013</option>
        	<option <?php if($year == 2014) echo "selected" ;?> value="2014">2014</option>
        	<option <?php if($year == 2015) echo "selected" ;?> value="2015">2015</option>
        	<option <?php if($year == 2016) echo "selected" ;?> value="2016">2016</option>
        	<option <?php if($year == 2017) echo "selected" ;?> value="2017">2017</option>
        	<option <?php if($year == 2018) echo "selected" ;?> value="2018">2018</option>
        	<option <?php if($year == 2019) echo "selected" ;?> value="2019">2019</option>
        	<option <?php if($year == 2020) echo "selected" ;?> value="2020">2020</option>
        	<option <?php if($year == 2021) echo "selected" ;?> value="2021">2021</option>
        	<option <?php if($year == 2022) echo "selected" ;?> value="2022">2022</option>
        </select>
        <select name="event[event_start_hr]">
        	<option <?php if($start_timeH == 0) echo "selected" ;?> value="0">00</option>
        	<option <?php if($start_timeH == 1) echo "selected" ;?> value="1">01</option>
        	<option <?php if($start_timeH == 2) echo "selected" ;?> value="2">02</option>
        	<option <?php if($start_timeH == 3) echo "selected" ;?> value="3">03</option>
        	<option <?php if($start_timeH == 4) echo "selected" ;?> value="4">04</option>
        	<option <?php if($start_timeH == 5) echo "selected" ;?> value="5">05</option>
        	<option <?php if($start_timeH == 6) echo "selected" ;?> value="6">06</option>
        	<option <?php if($start_timeH == 7) echo "selected" ;?> value="7">07</option>
        	<option <?php if($start_timeH == 8) echo "selected" ;?> value="8">08</option>
        	<option <?php if($start_timeH == 9) echo "selected" ;?> value="9">09</option>
        	<option <?php if($start_timeH == 10) echo "selected" ;?> value="10">10</option>
        	<option <?php if($start_timeH == 11) echo "selected" ;?> value="11">11</option>
        	<option <?php if($start_timeH == 12) echo "selected" ;?> value="12">12</option>
        	<option <?php if($start_timeH == 13) echo "selected" ;?> value="13">13</option>
        	<option <?php if($start_timeH == 14) echo "selected" ;?> value="14">14</option>
        	<option <?php if($start_timeH == 15) echo "selected" ;?> value="15">15</option>
        	<option <?php if($start_timeH == 16) echo "selected" ;?> value="16">16</option>
        	<option <?php if($start_timeH == 17) echo "selected" ;?> value="17">17</option>
        	<option <?php if($start_timeH == 18) echo "selected" ;?> value="18">18</option>
        	<option <?php if($start_timeH == 19) echo "selected" ;?> value="19">19</option>
        	<option <?php if($start_timeH == 20) echo "selected" ;?> value="20">20</option>
        	<option <?php if($start_timeH == 21) echo "selected" ;?> value="21">21</option>
        	<option <?php if($start_timeH == 22) echo "selected" ;?> value="22">22</option>
        	<option <?php if($start_timeH == 23) echo "selected" ;?> value="23">23</option>
        </select>
        <select name="event[event_start_mn]">
        	<option <?php if($start_timeM == 0) echo "selected";?> value="0">00</option>
        	<option <?php if($start_timeM == 15) echo "selected";?> value="15">15</option>
        	<option <?php if($start_timeM == 30) echo "selected";?> value="30">30</option>
        	<option <?php if($start_timeM == 45) echo "selected"; ?> value="45">45</option>
        </select>
        </p>
        </td>
        </tr>
        <tr>
        <th class="se_entry_end">End:</th>
        <td> 
        <select name="event[event_end_day]">
        	<option <?php if($end_day == 1) echo 'selected' ;?> value="1">1</option>
        	<option <?php if($end_day == 2) echo 'selected' ;?> value="2">2</option>
        	<option <?php if($end_day == 3) echo 'selected' ;?> value="3">3</option>
        	<option <?php if($end_day == 4) echo 'selected' ;?> value="4">4</option>
        	<option <?php if($end_day == 5) echo 'selected' ;?> value="5">5</option>
        	<option <?php if($end_day == 6) echo 'selected' ;?> value="6">6</option>
        	<option <?php if($end_day == 7) echo 'selected' ;?> value="7">7</option>
        	<option <?php if($end_day == 8) echo 'selected' ;?> value="8">8</option>
        	<option <?php if($end_day == 9) echo 'selected' ;?> value="9">9</option>
        	<option <?php if($end_day == 10) echo 'selected' ;?> value="10">10</option>
        	<option <?php if($end_day == 11) echo 'selected' ;?> value="11">11</option>
        	<option <?php if($end_day == 12) echo 'selected' ;?> value="12">12</option>
        	<option <?php if($end_day == 13) echo 'selected' ;?> value="13">13</option>
        	<option <?php if($end_day == 14) echo 'selected' ;?> value="14">14</option>
        	<option <?php if($end_day == 15) echo 'selected' ;?> value="15">15</option>
        	<option <?php if($end_day == 16) echo 'selected' ;?> value="16">16</option>
        	<option <?php if($end_day == 17) echo 'selected' ;?> value="17">17</option>
        	<option <?php if($end_day == 18) echo 'selected' ;?> value="18">18</option>
        	<option <?php if($end_day == 19) echo 'selected' ;?> value="19">19</option>
        	<option <?php if($end_day == 20) echo 'selected' ;?> value="20">20</option>
        	<option <?php if($end_day == 21) echo 'selected' ;?> value="21">21</option>
        	<option <?php if($end_day == 22) echo 'selected' ;?> value="22">22</option>
        	<option <?php if($end_day == 23) echo 'selected' ;?> value="23">23</option>
        	<option <?php if($end_day == 24) echo 'selected' ;?> value="24">24</option>
        	<option <?php if($end_day == 25) echo 'selected' ;?> value="25">25</option>
        	<option <?php if($end_day == 26) echo 'selected' ;?> value="26">26</option>
        	<option <?php if($end_day == 27) echo 'selected' ;?> value="27">27</option>
        	<option <?php if($end_day == 28) echo 'selected' ;?> value="28">28</option>
        	<option <?php if($end_day == 29) echo 'selected' ;?> value="29">29</option>
        	<option <?php if($end_day == 30) echo 'selected' ;?> value="30">30</option>
        	<option <?php if($end_day == 31) echo 'selected' ;?> value="31">31</option>
        </select>
        <select name="event[event_end_month]">
        	<option <?php if($end_month == 1) echo "selected" ;?> value="1"><?php _e('January','simple-events');?></option>
        	<option <?php if($end_month == 2) echo "selected" ;?> value="2"><?php _e('February','simple-events');?></option>
        	<option <?php if($end_month == 3) echo "selected" ;?> value="3"><?php _e('March','simple-events');?></option>
        	<option <?php if($end_month == 4) echo "selected" ;?> value="4"><?php _e('April','simple-events');?></option>
        	<option <?php if($end_month == 5) echo "selected" ;?> value="5"><?php _e('May','simple-events');?></option>
        	<option <?php if($end_month == 6) echo "selected" ;?> value="6"><?php _e('June','simple-events');?></option>
        	<option <?php if($end_month == 7) echo "selected" ;?> value="7"><?php _e('July','simple-events');?></option>
        	<option <?php if($end_month == 8) echo "selected" ;?> value="8"><?php _e('August','simple-events');?></option>
        	<option <?php if($end_month == 9) echo "selected" ;?> value="9"><?php _e('September','simple-events');?></option>
        	<option <?php if($end_month == 10) echo "selected" ;?> value="10"><?php _e('October','simple-events');?></option>
        	<option <?php if($end_month == 11) echo "selected" ;?> value="11"><?php _e('November','simple-events');?></option>
        	<option <?php if($end_month == 12) echo "selected" ;?> value="12"><?php _e('December','simple-events');?></option>
        </select>
        <select name="event[event_end_yr]">
        	<option <?php if($year == 2011) echo "selected" ;?> value="2011">2011</option>
        	<option <?php if($year == 2012) echo "selected" ;?> value="2012">2012</option>
        	<option <?php if($year == 2013) echo "selected" ;?> value="2013">2013</option>
        	<option <?php if($year == 2014) echo "selected" ;?> value="2014">2014</option>
        	<option <?php if($year == 2015) echo "selected" ;?> value="2015">2015</option>
        	<option <?php if($year == 2016) echo "selected" ;?> value="2016">2016</option>
        	<option <?php if($year == 2017) echo "selected" ;?> value="2017">2017</option>
        	<option <?php if($year == 2018) echo "selected" ;?> value="2018">2018</option>
        	<option <?php if($year == 2019) echo "selected" ;?> value="2019">2019</option>
        	<option <?php if($year == 2020) echo "selected" ;?> value="2020">2020</option>
        	<option <?php if($year == 2021) echo "selected" ;?> value="2021">2021</option>
        	<option <?php if($year == 2022) echo "selected" ;?> value="2022">2022</option>
        </select>
        <select name="event[event_end_hr]">
        	<option <?php if($end_timeH == 0) echo "selected" ;?> value="0">00</option>
        	<option <?php if($end_timeH == 1) echo "selected" ;?> value="1">01</option>
        	<option <?php if($end_timeH == 2) echo "selected" ;?> value="2">02</option>
        	<option <?php if($end_timeH == 3) echo "selected" ;?> value="3">03</option>
        	<option <?php if($end_timeH == 4) echo "selected" ;?> value="4">04</option>
        	<option <?php if($end_timeH == 5) echo "selected" ;?> value="5">05</option>
        	<option <?php if($end_timeH == 6) echo "selected" ;?> value="6">06</option>
        	<option <?php if($end_timeH == 7) echo "selected" ;?> value="7">07</option>
        	<option <?php if($end_timeH == 8) echo "selected" ;?> value="8">08</option>
        	<option <?php if($end_timeH == 9) echo "selected" ;?> value="9">09</option>
        	<option <?php if($end_timeH == 10) echo "selected" ;?> value="10">10</option>
        	<option <?php if($end_timeH == 11) echo "selected" ;?> value="11">11</option>
        	<option <?php if($end_timeH == 12) echo "selected" ;?> value="12">12</option>
        	<option <?php if($end_timeH == 13) echo "selected" ;?> value="13">13</option>
        	<option <?php if($end_timeH == 14) echo "selected" ;?> value="14">14</option>
        	<option <?php if($end_timeH == 15) echo "selected" ;?> value="15">15</option>
        	<option <?php if($end_timeH == 16) echo "selected" ;?> value="16">16</option>
        	<option <?php if($end_timeH == 17) echo "selected" ;?> value="17">17</option>
        	<option <?php if($end_timeH == 18) echo "selected" ;?> value="18">18</option>
        	<option <?php if($end_timeH == 19) echo "selected" ;?> value="19">19</option>
        	<option <?php if($end_timeH == 20) echo "selected" ;?> value="20">20</option>
        	<option <?php if($end_timeH == 21) echo "selected" ;?> value="21">21</option>
        	<option <?php if($end_timeH == 22) echo "selected" ;?> value="22">22</option>
        	<option <?php if($end_timeH == 23) echo "selected" ;?> value="23">23</option>
        </select>
        <select name="event[event_end_mn]">
        	<option <?php if($start_timeM == 0) echo "selected" ;?> value="0">00</option>
        	<option <?php if($start_timeM == 15) echo "selected" ;?> value="15">15</option>
        	<option <?php if($start_timeM == 30) echo "selected" ;?> value="30">30</option>
        	<option <?php if($start_timeM == 45) echo "selected" ;?> value="45">45</option>
        </select>
        </td>
        </tr>
        <tr>
        <th class="se_entry_title"><?php _e('Title:','simple-events');?></th>
        <td> 
        	<input name="event[event_title]" size="80" type="text" />
        </td>
        </tr>
        <tr>
        <th class="se_entry_description"><?php _e('Description:','simple-events');?></th>
        <td>  
        	<textarea cols="51" rows="5" name="event[event_desc]" type="text"></textarea>
        </td>
        </tr>
        <tr>
        <th class="se_entry_label"><?php _e('Label:','simple-events');?></th>
        <td> 
        	<input name="event[event_label]" type="text" size="15" maxlength="10" />
            <span class="labelnote"><?php _e('Max. 10 characters. All spaces are removed when stored.','simple-events');?></span>
        </td>
        </tr>
        <tr>
        <th class="se_entry_url"><?php _e('Event URL:','simple-events');?></th>
        <td>
        	<input name="event[event_url]" size="80" type="text" />
        </td>
        </tr>
        <tr>
        <th class="se_entry_loc"><?php _e('Location:','simple-events');?></th>
        <td> 
        	<input name="event[event_loc]" size="80" type="text" />
        </td>
        </tr>
        <tr>
        <th class="se_entry_loc_url"><?php _e('Location URL:','simple-events');?></th>
        <td> 
        	<input name="event[event_loc_url]" size="80" type="text" />
        </td>
        </tr>
        <tr>
        	<th>
            </th>
            <td>
            	<p class="submit">
            	<input name="store_event" type="submit" value="<?php _e('Save changes','simple-events')?>" class="button-primary" />    
				<input type="hidden" name="action" value="save" />
                </p>
            </td>
        </tr>
    </form>
    </tbody>
    </table>
    <h3><?php _e('Current events:','simple-events');?></h3>
    <table cellspacing="5" width="600">
<?php 
global $wpdb;
$table_name = $wpdb->prefix . "simple_events";

// Delete event button
if(isset($_POST['delete'])) {
	   $remove_event = $_POST['event_id'];
	   $wpdb->query(" DELETE FROM $table_name WHERE id = $remove_event ");
}

// Display all events currently stored in the database
$myevents = $wpdb->get_results(" SELECT * FROM $table_name ORDER BY event_start ", "ARRAY_A");
foreach ($myevents as $details) { ?>
    	<tbody class="<?php if ($details['event_end'] < time()) { echo 'expired'; } else { echo 'upcoming'; } ?>">
        <tr>
        <th class="eventtitle" colspan="4"><?php echo stripslashes($details['event_title']);?></th>
        <td align="right"><form method="post"><input type="hidden" name="event_id" value="<?php echo $details['id'];?>" /><input type="submit" name="delete" value="<?php _e('Remove','simple-events');?>" class="delete eventdelete" /></form></td>
        </tr>
        <tr>
        <td class="eventdescription" colspan="4"><?php echo stripslashes($details['event_desc']);?></td>
<?php if($details['event_label']) { ?>
        <td align="right"> <?php _e('Label: ','simple-events');?><span class="eventlabel" title="<?php _e('When including this label on your page when displaying events, only events with this label will be displayed','simple-events');?>"><?php echo $details['event_label'];?></span></td>
<?php } else { ?>
		<td align="right" class="nolabel">No label</td>
<?php } ?>
        </tr>
        <tr>
        <td class="eventstart" width="150"><?php echo date( __('M j Y H:i','simple-events'), $details['event_start']);?></td>
        <td width="40">till</td>
        <td class="eventend" width="150"><?php echo date( __('M j Y H:i','simple-events'), $details['event_end']);?></td>
        <?php if($details['event_url']) : echo '<td class="eventinfo"><a class="eventlinks" href="http://'.$details['event_url'].'">'.__('Link','simple-events').'</a></td>'; endif ?>
        <td class="eventlocation"><?php if($details['event_loc'] && $details['event_loc_url']) { echo __('Location:','simple-events').' <a class="eventlinks" href="http://'.$details['event_loc_url'].'">'.$details['event_loc'].'</a>'; } elseif($details['event_loc']) { echo __('Location:','simple-events').' '.$details['event_loc']; } else { echo ""; } ?></td>
        </tr>
        <tr><td colspan="5"><hr /></td></tr>
        </tbody>
<?php } // end foreach stored events display table ?>
    </table>
</div>
<?php 
}
// Add the shortcode for displaying the event on pages
function displayevents( $atts ) {
	global $wpdb;
	$table_name = $wpdb->prefix . "simple_events";
	
	// VARIATIONS: EXPIRED  /  ALL  /  UPCOMING
	if($atts['age']) {
		$age = $atts['age'];
		if($age == "expired") {
			$range = "event_end <= " . time();
		} elseif($age == "all") {
			$range = "event_end > 946706400"; // timestamp for jan 1st 2000 - assuming no event will be creted before that date
		} else {
			$range = "event end > " . time();
		}
	}
	
	if($atts['label']) $label = strtolower($atts['label']);
	
	if( $age && $label ) {
		$allevents = $wpdb->get_results(" SELECT * FROM $table_name WHERE event_label = '$label' AND $range ORDER BY event_start ", "ARRAY_A");
	} elseif($age) {
		$allevents = $wpdb->get_results(" SELECT * FROM $table_name WHERE $range ORDER BY event_start ", "ARRAY_A");
	} elseif($label) {
		$currentTime = time();
		$allevents = $wpdb->get_results(" SELECT * FROM $table_name WHERE event_label = '$label' AND event_end >= $currentTime ORDER BY event_start ", "ARRAY_A");
	} else {
		$currentTime = time();
		$allevents = $wpdb->get_results(" SELECT * FROM $table_name WHERE event_end >= $currentTime ORDER BY event_start ", "ARRAY_A");
	}
	
	foreach ($allevents as $event) {
		if($event['event_loc'] && $event['event_loc_url']) {
			$evt_loc = '<li style="list-style:none;"><span style="font-weight:bold;">'.__('Where:','simple-events').' </span><a class="location" href="http://'.$event['event_loc_url'].'">'.$event['event_loc'].'</a></li>';
		} elseif($event['event_loc']) {
			$evt_loc = '<li style="list-style:none;"><span style="font-weight:bold;">'.__('Where:','simple-events').' </span>'.$event['event_loc'].'</li>';
		} else {
			$evt_loc = "";
		}
		if($event['event_url']) { $evt_url = '<li style="list-style:none;"><span class="url"><a style="font-weight:bold;" href="http://'.$event['event_url'].'">'.__('More information...','simple-events').'</a></span></li>'; } else { $evt_url = ""; }
		$the_events[] =  
		'<ul style="list-style:none; padding:0 0 0 15px; margin:10px 0;" class="vevent"><li style="list-style:none;"><h3 class="summary" style="margin:0;">'.
		stripslashes($event['event_title']).
		'</h3></li><li class="description" style="list-style:none;">'.
		stripslashes($event['event_desc']).
		'</li><li style="list-style:none;"><span style="font-weight:bold;">'.__('When:','simple-events').' </span><abbr class="dtstart" title="'.
		date('Y-m-d',$event['event_start']).'T'.date('H:i',$event['event_start']).
		'">'.
		date(__('F j H:i','simple-events'),$event['event_start']).
		'</abbr> - <abbr class="dtend" title="'.
		date('Y-m-d',$event['event_end']).'T'.date('H:i',$event['event_end']).
		'">'.
		date(__('F j H:i','simple-events'),$event['event_end']).
		'</abbr>'.
		'</li>'.		
		$evt_loc.
		$evt_url.
		'</ul>';
	} // end foreach ($allevents as $event)
	foreach( $the_events as $item ) {
		print($item);
	}//end foreach( $the_events as $item )
}
add_shortcode( 'events', 'displayevents' );
?>
